Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.util
Class HexUtils

    java.lang.Object
      org.apache.catalina.util.HexUtils

    public final class HexUtils

extends java.lang.Object

Library of utility methods useful in dealing with converting byte arrays to and from strings of hexadecimal digits.

Author:
  Craig R. McClanahan

Constructor Summary
`HexUtils()`

Method Summary
`static java.lang.String` | `convert(byte[] bytes)` Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).
`static byte[]` | `convert(java.lang.String digits)` Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexUtils

    public HexUtils()

Method Detail

### convert

    public static byte[] convert(java.lang.String digits)

  Convert a String of hexadecimal digits into the corresponding byte array by encoding each two hexadecimal digits as a byte.

  Parameters:
    `digits` - Hexadecimal digits representation
  Throws:
    `java.lang.IllegalArgumentException` - if an invalid hexadecimal digit is found, or the input string contains an odd number of hexadecimal digits

### convert

    public static java.lang.String convert(byte[] bytes)

  Convert a byte array into a printable format containing a String of hexadecimal digit characters (two per byte).

  Parameters:
    `bytes` - Byte array representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.